summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2003-05-14 22:59:56 +0000
committerRobin H. Johnson <robbat2@gentoo.org>2003-05-14 22:59:56 +0000
commitec04996b821103856c177d5bbcb9c3ceb1af5ebf (patch)
tree71d2e57e850736e211b68e0fc15d3ee800ceeed2 /eclass
parentversion bump (diff)
downloadhistorical-ec04996b821103856c177d5bbcb9c3ceb1af5ebf.tar.gz
historical-ec04996b821103856c177d5bbcb9c3ceb1af5ebf.tar.bz2
historical-ec04996b821103856c177d5bbcb9c3ceb1af5ebf.zip
Fixed bug #18696
Diffstat (limited to 'eclass')
-rw-r--r--eclass/php.eclass5
1 files changed, 4 insertions, 1 deletions
diff --git a/eclass/php.eclass b/eclass/php.eclass
index b19247007cbb..3e19f61c255d 100644
--- a/eclass/php.eclass
+++ b/eclass/php.eclass
@@ -1,7 +1,7 @@
# Copyright 2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author: Robin H. Johnson <robbat2@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/php.eclass,v 1.14 2003/05/14 22:52:35 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php.eclass,v 1.15 2003/05/14 22:59:56 robbat2 Exp $
# This EBUILD is totally masked presently. Use it at your own risk. I know it
# is severely broken, but I needed to get a copy into CVS to pass around and
@@ -69,6 +69,7 @@ DEPEND="${DEPEND}
xml? ( >=net-libs/libwww-5.3.2 >=app-text/sablotron-0.96 dev-libs/expat )
zlib? ( sys-libs/zlib )
!dev-libs/9libs
+ virtual/mta
"
#9libs causes a configure error
@@ -186,6 +187,8 @@ php_src_compile() {
# *) myconf="${myconf} --disable-embed" ;;
# esac;
+ [ -x "/usr/sbin/sendmail" ] || die "You need a virtual/mta that provides /usr/sbin/sendmail!"
+
use berkdb && myconf="${myconf} --with-db3=/usr"
use cjk && myconf="${myconf} --enable-mbstring --enable-mbregex"
use crypt && myconf="${myconf} --with-mcrypt=/usr --with-mhash"